Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::Objref_Traits< PortableServer::POAManager > Struct Reference

`#include <PortableServerC.h>`

List of all members.

## Static Public Methods
PortableServer::POAManager_ptr | tao_duplicate (PortableServer::POAManager_ptr)
void | tao_release (PortableServer::POAManager_ptr)
PortableServer::POAManager_ptr | tao_nil (void)
CORBA::Boolean | tao_marshal (PortableServer::POAManager_ptr p, TAO_OutputCDR &cdr)

## Member Function Documentation

PortableServer::POAManager_ptr TAO::Objref_Traits< PortableServer::POAManager >::tao_duplicate | ( | PortableServer::POAManager_ptr |  | ) | `[static]`

CORBA::Boolean TAO::Objref_Traits< PortableServer::POAManager >::tao_marshal | ( | PortableServer::POAManager_ptr | p,
|  | TAO_OutputCDR & | cdr
| ) | `[static]`

PortableServer::POAManager_ptr TAO::Objref_Traits< PortableServer::POAManager >::tao_nil | ( | void |  | ) | `[static]`

void TAO::Objref_Traits< PortableServer::POAManager >::tao_release | ( | PortableServer::POAManager_ptr |  | ) | `[static]`

The documentation for this struct was generated from the following files:

- PortableServerC.h
- PortableServerC.cpp